[Overview][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TDelphiWriter.WriteStr

Write a string to the stream

## Declaration

Source position: streamex.pp line 56

`public procedure TDelphiWriter.WriteStr(`
`const Value: String`
`);`

## Arguments

`Value` |  | String to write

## Description

WriteStr writes a string to the stream, forcing the use of the TBidirBinaryObjectWriter class methods, which update the position of the stream.

## See also

TBidirBinaryObjectWriter |  | Binary component stream writer with BiDi support

The latest version of this document can be found at lazarus-ccr.sourceforge.net.